Subject: Re: rm -rf calls rmdir() prior to close(), which can fail

From: Eric Blake <[email-masked]>
Date: Mon, 24 Oct 2011 07:57:57 -0600

On 10/24/2011 02:58 AM, Jim Meyering wrote:
>   ** Bug fixes
>
> +  rm -rf DIR would fail with "Device or resource busy" on Cygwin with NWFS
> +  and NcFsd file systems.  This did not affect Unix/Linux-based kernels.
> +  [bug introduced in coreutils-7.0, when rm began using fts]

rm didn't use fts() until coreutils 8.0 (the cygwin testing proved that 
coreutils 7.0 did not suffer from the problem).  See also the news for 
8.13 mentioning an rm regression introduced by fts() in 8.0.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org